> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Wallets

> This is the endpoint to Fetch Wallet for a business



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /billing/v1/wallets
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /billing/v1/wallets:
    get:
      tags:
        - Wallet
      summary: Fetch Wallets
      description: This is the endpoint to Fetch Wallet for a business
      operationId: fetchWallets
      parameters:
        - in: query
          name: country
          schema:
            $ref: '#/components/schemas/Country'
        - in: query
          name: currency
          schema:
            $ref: '#/components/schemas/Currency'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WalletBalanceResponse'
                      type: object
components:
  schemas:
    Country:
      type: string
      description: 2 character country code
      example: US, NG, CI, SN, CA, UK
      examples:
        - NG
        - US
        - CI
        - SN
        - CA
        - UK
    Currency:
      type: string
      description: 3 character currency code
      example: USD, NGN, XOF, XAF
      examples:
        - NGN
        - USD
        - XOF
        - XAF
    WalletBalanceResponse:
      type: object
      properties:
        type:
          type: string
          description: This is the type of wallet
          enum:
            - disbursement
            - deposit
          examples:
            - disbursement
            - deposit
        amount:
          $ref: '#/components/schemas/Amount'
          description: >-
            This signifies the actual amount in your wallet. This is in the
            lowest denomination
        currency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        status:
          type: string
          enum:
            - active
            - post-no-debit
    Amount:
      type: integer
      description: >-
        Amount should be in the subunit of the supported currency i.e value *
        100 [Amount
        Specification](https://docs.payfonte.com/guides/introductions/amount-specification)
      format: int64
      example: 100000
      examples:
        - 100000
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````